import timeit
setup_code = '''
import random
import insertion_sort

array = []
for i in range(10):
    n = random.randint(1, 1000)
    array.append(n)
'''

test_code = '''
insertion_sort.sort(array)
'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=5, number=1))
