import timeit

setup_code = '''
import random
import quicksort

array = []
for i in range(1_000_000):
    n = random.randint(1, 1_000_000)
    array.append(n)

sortable_array = quicksort.SortableArray(array)
'''

test_code = ''' 
sortable_array.quicksort(0, len(array) - 1)
'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=5, number=1))