import timeit
setup_code = '''
import quicksort

array = []
for i in range(10000):
    array.insert(0, i)
sortable_array = quicksort.SortableArray(array)
'''

test_code = ''' 
sortable_array.quicksort(0, len(array) - 1)
'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=5, number=1))
