def merge(left_array, right_array):
    merged_array = []
    left_pointer = 0
    right_pointer = 0

    while left_pointer < len(left_array) and right_pointer < len(right_array):
        if left_array[left_pointer] <= right_array[right_pointer]:
            merged_array.append(left_array[left_pointer])
            left_pointer += 1
        else:  # value at right_pointer > value at left_pointer
            merged_array.append(right_array[right_pointer])           
            right_pointer += 1

    while right_pointer < len(right_array):
        merged_array.append(right_array[right_pointer])
        right_pointer += 1

    while left_pointer < len(left_array):
        merged_array.append(left_array[left_pointer])
        left_pointer += 1

    return merged_array

def mergesort(array, lo, hi):
    if lo == hi:
        return [array[lo]]

    midpoint = (lo + hi) // 2
    left_array = mergesort(array, lo, midpoint)
    right_array = mergesort(array, midpoint + 1, hi)
    return merge(left_array, right_array)
