import timeit

setup_code = '''
class Node:
    def __init__(self):
        self.data1 = [1] * 10000
        self.data2 = [1] * 10000
        self.data3 = [1] * 10000


n = 10000
array = []
for i in range(n):
    array.append(Node())

'''


test_code = ''' 

for node in range(n):
    for i in range(10000):
        array[node].data1[i] = 0
    for i in range(10000):
        array[node].data2[i] = 0
    for i in range(10000):
        array[node].data3[i] = 0


'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=1, number=1))