import first_division_hasher
import hash_table1
import hash_table2
import solution_2


def assert_equal(x, y):
    if x == y:
        print(".")
    else:
        print("FAIL")


# Division Hashing
hasher = first_division_hasher.DivisionHasher(89)
print(hasher.hash(412341439))

# Hash Table #1
print("Hash Table #1 - insert key/value pair")
h = hash_table1.HashTable(89)
h.insert(757667547, "hey")
assert_equal(h.search(757667547), "hey")
assert_equal(h.search(99999999), None)

# Hash Table #2
h = hash_table2.HashTable(89)

print("Hash Table #2 - insert key/value pair")
h.insert(757667547, "hey")
assert_equal(h.search(757667547), "hey")
h.insert(757667547, "there")
assert_equal(h.search(757667547), "there")
assert_equal(h.search(99999999), None)



print("Delete")
h.delete(757667547)
assert_equal(h.search(757667547), None)

print("Solution 2")
hasher = solution_2.DivisionHasher(89)
print(hasher.hash("abc"))
