import timeit
import bit_vector


setup_code = '''
a = bit_vector.BitVector(10001)
b = bit_vector.BitVector(10001)

for i in range(10000):
    a.set_bit(i) = True
    b.set_bit(i) = True
'''


test_code = '''
# a == b
'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=5, number=1))



