import timeit

setup_code = '''
import random
import counting_sort_boolean

array = []
for i in range(1000):
    array.append(i)
random.shuffle(array)
'''


test_code = '''
counting_sort_boolean.counting_sort(array)
'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=5, number=1))
