import bloom_filter


def find_duplicates(array):
    set = bloom_filter.BloomFilter(len(array), 0.01)

    for item in array:
        if set.read(item):
            return True
        else:
            set.insert(item)

    return False
