import timeit

setup_code = '''
def linear_search(array, search_value):
    for index, element in enumerate(array):

        if element == search_value:
            return index
        elif element > search_value:
            break

    return None

array = []
for i in range(100_000):
    array.append(i)
'''

test_code = ''' 
print(linear_search(array, 89124))
'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=5, number=1))