import timeit

setup_code = '''
import random
import merge_plus_insertion

array = []
for i in range(1000000):
    n = random.randint(1, 1000000)
    array.append(n)
'''

test_code = ''' 
merge_plus_insertion.mergesort(array)
'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=5, number=1))
