def merge(copy_of_left_half, copy_of_right_half, original_array):
        left_pointer = 0
        right_pointer = 0
        array_pointer = 0
        
        while left_pointer < len(copy_of_left_half) and right_pointer < len(copy_of_right_half):
            if copy_of_left_half[left_pointer] <= copy_of_right_half[right_pointer]:
              original_array[array_pointer] = copy_of_left_half[left_pointer]
              left_pointer += 1
            else:   # the value at right pointer is greater than value at left pointer
                original_array[array_pointer] = copy_of_right_half[right_pointer]
                right_pointer += 1

            array_pointer += 1

        while left_pointer < len(copy_of_left_half):
            original_array[array_pointer] = copy_of_left_half[left_pointer]
            left_pointer += 1
            array_pointer += 1

        while right_pointer < len(copy_of_right_half):
            original_array[array_pointer] = copy_of_right_half[right_pointer]
            right_pointer += 1
            array_pointer += 1
def mergesort(array):
    if len(array) <= 10:
        insertion_sort(array)
        return 

    midpoint = len(array) // 2
    copy_of_left_half = array[:midpoint]
    copy_of_right_half = array[midpoint:]

    mergesort(copy_of_left_half)
    mergesort(copy_of_right_half)
    merge(copy_of_left_half, copy_of_right_half, array)
def insertion_sort(array):
    for i in range(1, len(array)):
        key_item = array[i]
        j = i - 1

        while j >= 0 and array[j] > key_item:
            array[j + 1] = array[j]
            j -= 1

        array[j + 1] = key_item

    return array
