import timeit

setup_code = '''
class BitBox:
    def __init__(self):
        self.red_bits = [1] * 10000000
        self.blue_bits = [1] * 10000000
        self.green_bits = [1] * 10000000

bit_box = BitBox()

def count_bits_1(bit_box):
    sum = 0

    for i in range(10000000):
        sum += bit_box.red_bits[i]
        sum += bit_box.blue_bits[i]
        sum += bit_box.green_bits[i]

    return sum
'''

test_code = '''
count_bits_1(bit_box)
'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=5, number=1))
