import timeit

setup_code = '''
n = 10000
array = []
for i in range(n):
    subarray = []
    for j in range(n):
        subarray.append(1)
    array.append(subarray)

'''


test_code = ''' 

sum = 0
for row in range(n):
    for col in range(n):
        sum += array[col][row]


'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=1, number=1))