import timeit

setup_code = '''

array = [1] * 100000000
array2 = [1] * 10000000
'''


forward = '''

sum = 0
i = 0
array_length = len(array)

while i < 100000000:
    array[i] = 0
    # sum += array[i]
    i += 319

# print(sum)


'''

reverse = '''

sum = 0
i = len(array) - 1

while i >= 0:
    array[i] = 0
    # sum += array[i]
    i -= 319


'''

print("forward")
print(timeit.repeat(stmt=forward, setup=setup_code, repeat=1, number=1))
print("reverse")
print(timeit.repeat(stmt=reverse, setup=setup_code, repeat=1, number=1))