import prime1
import prime2
import prime3
import fpt


def assert_equal(x, y):
    if x == y:
        print(".")
    else:
        print("FAIL")

# Prime 1
print("Prime 1")
assert_equal(prime1.is_prime(2), True)
assert_equal(prime1.is_prime(3), True)
assert_equal(prime1.is_prime(11), True)
assert_equal(prime1.is_prime(17), True)
assert_equal(prime1.is_prime(19), True)
assert_equal(prime1.is_prime(563), True)

# Prime 2
print("Prime 2")
assert_equal(prime2.is_prime(2), True)
assert_equal(prime2.is_prime(3), True)
assert_equal(prime2.is_prime(11), True)
assert_equal(prime2.is_prime(17), True)
assert_equal(prime2.is_prime(19), True)
assert_equal(prime2.is_prime(563), True)

# Prime 3
print("Prime 3")
assert_equal(prime3.is_prime(2), True)
assert_equal(prime3.is_prime(3), True)
assert_equal(prime3.is_prime(11), True)
assert_equal(prime3.is_prime(17), True)
assert_equal(prime3.is_prime(19), True)
assert_equal(prime3.is_prime(563), True)

# Fermat's Primality Test
print("Fermat's Primality Test")
assert_equal(fpt.is_prime(2), True)
assert_equal(fpt.is_prime(3), True)
assert_equal(fpt.is_prime(11), True)
assert_equal(fpt.is_prime(17), True)
assert_equal(fpt.is_prime(19), True)
assert_equal(fpt.is_prime(563), True)
large_prime = 2147480219
assert_equal(fpt.is_prime(large_prime), True)