import division_hasher


class HashTable:

    def __init__(self, array_length):
        self.array = [None] * array_length
        self.array_length = array_length
        self.hasher = division_hasher.DivisionHasher(array_length)

    def insert(self, key, value=None):
        if not value:
            value = key

        hashcode = self.hasher.hash(key)
        self.array[hashcode] = value

    def search(self, key):
        hashcode = self.hasher.hash(key)
        return self.array[hashcode]
