import timeit

setup_code = '''
import bit_vector

bv = bit_vector.BitVector(1024)
bv.set_bit(20)
bv.set_bit(100)
bv.set_bit(312)
bv.set_bit(613)
bv.set_bit(1002)
'''


test_code = '''
bv.values()
'''

print(timeit.repeat(stmt=test_code, setup=setup_code, repeat=5, number=1))
